package com.xxfc.platform.activity.rest;

import com.github.wxiaoqi.security.auth.client.annotation.IgnoreClientToken;
import com.github.wxiaoqi.security.common.msg.ObjectRestResponse;
import com.github.wxiaoqi.security.common.rest.BaseController;
import com.xxfc.platform.activity.biz.ActivityPopularizeLogBiz;
import com.xxfc.platform.activity.entity.ActivityPopularizeLog;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("activityPopularizeLog")
public class ActivityPopularizeLogController extends BaseController<ActivityPopularizeLogBiz,ActivityPopularizeLog> {

	@GetMapping(value = "/getByUser")
	@IgnoreClientToken
	public ObjectRestResponse selectByUserId(Integer popularizeId) {
		return ObjectRestResponse.succ(baseBiz.selectByUserId(popularizeId));
	}

}